# Generated from poxy-0.0.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name poxy

Name: rubygem-%{gem_name}
Version: 0.0.6
Release: 1%{?dist}
Summary: Fixed Responsive Grid System
License: MIT
URL: https://github.com/paulwooddesign/poxy
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(aruba) >= 0.5.0
# BuildRequires: rubygem(aruba) < 0.6
# BuildRequires: rubygem(css_parser)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rb-fsevent) >= 0.9.1
# BuildRequires: rubygem(rb-fsevent) < 0.10
BuildArch: noarch

%description
A responsive fixed width grid framework built on top of Sass based on the
Frameless Grid by Joni Korpi.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/poxy
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_instdir}/NEWS.md
%{gem_instdir}/app
%{gem_instdir}/bin
%{gem_instdir}/bower.json
%{gem_libdir}
%{gem_instdir}/poxy-0.0.0.gem
%{gem_instdir}/poxy-0.0.1.gem
%{gem_instdir}/poxy-0.0.4.gem
%{gem_instdir}/poxy-0.0.5.gem
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/poxy.gemspec
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.0.6-1
- Initial package
